Last Comment Bug 333356 - cellmap dead code & 0 deref
: cellmap dead code & 0 deref
Status: RESOLVED FIXED
[need testcase]
: coverity, fixed1.8.0.5, fixed1.8.1
Product: Core
Classification: Components
Component: Layout: Tables (show other bugs)
: Trunk
: x86 Windows XP
: -- normal (vote)
: ---
Assigned To: Bernd
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-09 12:50 PDT by Bernd
Modified: 2008-10-17 16:04 PDT (History)
5 users (show)
jaymoz: blocking1.8.0.5+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (2.22 KB, patch)
2006-04-09 12:55 PDT, Bernd
bzbarsky: review+
bzbarsky: superreview+
dveditz: approval‑branch‑1.8.1+
dveditz: approval1.8.0.5+
Details | Diff | Splinter Review

Description Bernd 2006-04-09 12:50:30 PDT
fix for two coverity warnings
Comment 1 Bernd 2006-04-09 12:55:33 PDT
Created attachment 217771 [details] [diff] [review]
patch
Comment 2 Boris Zbarsky [:bz] 2006-04-09 13:31:28 PDT
Comment on attachment 217771 [details] [diff] [review]
patch

>Index: nsCellMap.cpp

>+    // at the right edge of the table as we checked the corner before

Can we add an assert to that effect?  That is, I assume we'd assert !aIsBottomRight here?

r+sr=bzbarsky with that.
Comment 3 Bernd 2006-04-14 23:02:36 PDT
fix checked in
Comment 5 Daniel Veditz [:dveditz] 2006-06-14 12:01:47 PDT
roc, bz: is this wanted/appropriate for 1.8.0.x also?
Comment 6 Daniel Veditz [:dveditz] 2006-06-14 14:34:34 PDT
Comment on attachment 217771 [details] [diff] [review]
patch

approved for 1.8.0 branch, a=dveditz for drivers
Comment 7 Bernd 2006-06-17 22:50:47 PDT
fix checked in into branches
Comment 8 kitchin 2006-06-18 12:25:55 PDT
>Can we add an assert to that effect? That is, I assume we'd assert
>!aIsBottomRight here?
> r+sr=bzbarsky with that.

The patches checked in do not have the assert.

Comment 9 Bernd 2006-06-18 13:41:58 PDT
>The patches checked in do not have the assert.

and thats intentional!!! Nobody is debugging layout on a branch, the trunk where people debug has the assert see http://bonsai.mozilla.org/cvsview2.cgi?diff_mode=context&whitespace_mode=show&file=nsCellMap.cpp&branch=&root=/cvsroot&subdir=mozilla/layout/tables&command=DIFF_FRAMESET&rev1=3.101&rev2=3.102
 and yes, I did learn my lesson from bug 315210. 
But please go and put in the assert if you can handle the consequences I will certainly not do it.
Comment 10 Jay Patel [:jay] 2006-07-07 15:07:44 PDT
Any easy way to verify this fix?  Any testcases or steps associated with the Coverity warnings mentioned?
Comment 11 timeless 2006-07-09 04:08:24 PDT
just get a coverity account and ask it if it complains about the relevant files. for kicks, find a run from before this bug was filed and verify that coverity indeed lists it as a complaint.

Note You need to log in before you can comment on or make changes to this bug.